./x11/qt4-pgsql, QT postgresql driver

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 4.8.7nb5, Package name: qt4-pgsql-4.8.7nb5, Maintainer: pkgsrc-users

QT postgresql driver


Required to run:
[x11/qt4-libs] [databases/postgresql95-client]

Required to build:
[pkgtools/x11-links] [x11/qt4-tools] [x11/xcb-proto] [x11/fixesproto4] [pkgtools/cwrappers] [x11/xorgproto]

Master sites:

SHA1: 76aef40335c0701e5be7bb3a9101df5d22fe3666
RMD160: afb5e5a99388e6429faca59cb5000054feffd166
Filesize: 235425.358 KB

Version history: (Expand)


CVS history: (Expand)


   2020-05-28 17:24:13 by Roland Illig | Files touched by this commit (1)
Log message:
x11/qt4-pgsql: suppress USE_TOOLS+=perl warning
   2020-03-08 17:51:54 by Thomas Klausner | Files touched by this commit (2833)
Log message:
*: recursive bump for libffi
   2020-01-18 22:51:16 by Jonathan Perkin | Files touched by this commit (1836)
Log message:
*: Recursive revision bump for openssl 1.1.1.
   2019-11-03 10:14:21 by Roland Illig | Files touched by this commit (148)
Log message:
x11: align variable assignments

pkglint -Wall -F --only aligned --only indent -r

No manual corrections.
   2018-03-12 12:18:01 by Thomas Klausner | Files touched by this commit (2155)
Log message:
Recursive bumps for fontconfig and libzip dependency changes.
   2016-10-09 23:42:04 by Thomas Klausner | Files touched by this commit (110)
Log message:
Recursive bump for all users of pgsql now that the default is 95.
   2016-03-05 12:29:49 by Jonathan Perkin | Files touched by this commit (1813) | Package updated
Log message:
Bump PKGREVISION for security/openssl ABI bump.
   2015-07-08 19:49:50 by Thomas Klausner | Files touched by this commit (19) | Package updated
Log message:
Update qt4 to 4.8.7.

I am happy to announce release of Qt 4.8.7 today bringing over 150
improvements and bug fixes. Qt 4.8.7 provides important security
updates, better support for Mac OS X 10.10 and many requested error
corrections. As a patch release, it does not add new functionality
and maintains full compatibility with previous Qt 4.8.x releases.

Highlights of Qt 4.8.7 are:

    Security fix for DoS vulnerability in the BMP image handler
    (CVE-2015-0295) as well as security fixes for vulnerabilities
    in image handling of BMP (CVE-2015-1858), ICO (CVE-2015-1859)
    and GIF (CVE-2015-1860)
    Update 3rd party libpng to version 1.6.17 to address known
    vulnerabilities in previous version
    Update 3rd party libtiff to version 4.0.3 to address known
    vulnerabilities in previous version
    Better support for running Qt 4.8 applications on Mac OS X
    10.10 Yosemite
    Many customer requested bug fixes